curl --request POST \
--url https://sandbox.cashfree.com/pg/eligibility/payment_methods \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"queries": {
"amount": 100
}
}
'[
{
"eligibility": true,
"entity_type": "payment_methods",
"entity_value": "netbanking",
"entity_details": {
"payment_method_details": [
{
"nick": "motak_kahindra_bank",
"display": "Motak Kahindra Bank",
"eligibility": true,
"code": 3032
},
{
"nick": "bank_of_india",
"display": "Bank Of India",
"eligibility": true,
"code": 3031
}
]
}
}
]{
"message": "bad URL, please check API documentation",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "something_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "bank_processing_failure",
"type": "api_error"
}Get Eligible Payment Methods for Orders
Fetch the payment instruments a Cashfree order is eligible to use, including UPI, cards, netbanking, wallets, and EMI rails for personalised checkouts.
curl --request POST \
--url https://sandbox.cashfree.com/pg/eligibility/payment_methods \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"queries": {
"amount": 100
}
}
'[
{
"eligibility": true,
"entity_type": "payment_methods",
"entity_value": "netbanking",
"entity_details": {
"payment_method_details": [
{
"nick": "motak_kahindra_bank",
"display": "Motak Kahindra Bank",
"eligibility": true,
"code": 3032
},
{
"nick": "bank_of_india",
"display": "Bank Of India",
"eligibility": true,
"code": 3031
}
]
}
}
]{
"message": "bad URL, please check API documentation",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "something_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "bank_processing_failure",
"type": "api_error"
}Client environment headers
Cashfree requires information about the customer’s device environment to enforce NPCI rules. You must include the following headers in your Order Pay API and Get Eligible Payment Methods request:Client environment headers
Client environment headers
| Header | Accepted values | Requirement | Description |
|---|---|---|---|
x-client-device | mobile, desktop, tablet | Required | Type of device used by customer |
x-client-os | android, ios, windows, macos, linux, others | Required | Operating system of customer’s device |
x-client-rendering-type | mweb, webview, native | Required when x-client-device is mobile | Rendering method used for the checkout experience |
x-client-browser | safari, chrome, firefox, edge, others | Required | Browser used by the customer |
x-client-rendering-type is required only when x-client-device is set to mobile. For desktop and tablet devices, this header is optional.Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
The type of device on which the payment is initiated.
The operating system of the client device used to make the payment.
Indicates how the payment experience is rendered to the user. - mweb – Payment rendered in a mobile browser (browser on a mobile device) - webview – Payment rendered inside an in-app browser (WebView within a merchant app) - native – Payment rendered natively within the merchant’s mobile app using SDKs.
The browser used to initiate the payment.
Body
Request Body to get eligible payment methods for an account and order.
Response
OK
true
"payment_methods"
"netbanking"
Show child attributes
Show child attributes
{
"payment_method_details": [
{
"nick": "motak_kahindra_bank",
"display": "Motak Kahindra Bank",
"eligibility": true,
"code": 3032
},
{
"nick": "bank_of_india",
"display": "Bank Of India",
"eligibility": true,
"code": 3031
}
]
}
Was this page helpful?